--data.raw["construction-robot"]["construction-robot"].repair_pack = "y-repair-durotal"
--data.raw["construction-robot"]["construction-robot"].repair_pack = "y-repair-krakon"

data:extend(
{  

	{
		type = "assembling-machine",
		name = "archsite",
		icon = "__Yuoki__/graphics/icons/archsite_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {hardness = 0.2,mining_time = 0.5,result = "archsite"},
		max_health = 200,
		resistances = {{type = "fire",percent = 70}},
		collision_box = {{-2.2, -2.2}, {2.2, 2.2}},
		selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
		animation = {
			filename = "__Yuoki__/graphics/entity/archsite_n.png",
			priority = "medium",
			frame_width = 170,
			frame_height = 160,
			frame_count = 1,						
			shift = {0.25, -0.25}
		},					
		crafting_categories = {"yuoki-archaeology"},
		crafting_speed = 1,
		energy_source = {type = "electric",input_priority = "secondary", usage_priority = "secondary-input", emissions = 0.01},
		energy_usage = "250kW",
		ingredient_count = 1,
		module_slots = 2,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},		
	},
	
	{
		type = "assembling-machine",
		name = "y-underground-drill", minable = {hardness = 0.2,mining_time = 0.5,result = "y-underground-drill"},
		icon = "__Yuoki__/graphics/icons/deep-drill-v1-icon.png",
		flags = {"placeable-neutral","player-creation"},		
		max_health = 200,
		resistances = {{type = "fire",percent = 70}},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		animation = {
			filename = "__Yuoki__/graphics/entity/deep-drill-v1.png",
			priority = "medium",
			frame_width = 112,
			frame_height = 112,
			frame_count = 1,						
			shift = {0.2, 0.0}
		},					
		crafting_categories = {"yuoki-raw-material-recipe"},
		crafting_speed = 1,
		energy_source = {type = "electric",input_priority = "secondary", usage_priority = "secondary-input", emissions = 0.015},
		energy_usage = "400kW",
		ingredient_count = 1,
		module_slots = 3,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
	},	
	
	{
		type = "assembling-machine",
		name = "dirtwasher",
		icon = "__Yuoki__/graphics/icons/dw.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {hardness = 0.2,mining_time = 0.5,result = "dirtwasher"},
		max_health = 100,
		resistances = {{type = "fire",percent = 70}},
		collision_box = {{-1.4,-1.4},{1.4,1.4}},
		selection_box = {{-1.5,-1.5},{1.5,1.5}},
		animation = {
			filename = "__Yuoki__/graphics/entity/washer_anim_v.png",
			priority = "medium",
			frame_width = 96,
			frame_height = 128,
			frame_count = 11,						
			shift = {0, -0.25},
			animation_speed=0.7,
		},					
		crafting_categories = {"yuoki-archaeology-wash"},
		crafting_speed = 1,
		energy_source = {type = "electric",input_priority = "secondary", usage_priority = "secondary-input", emissions = 0.1},
		energy_usage = "350kW",
		ingredient_count = 2,
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {-1, -2} }}
			},
			{
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {1, -2.0} }}
			},
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),
				base_level = 1,
				pipe_connections = {{ position = {1, 2} }}
			},
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),
				base_level = 1,
				pipe_connections = {{ position = {-1, 2} }}
			},
			off_when_no_fluid_recipe = true,
		},	  
		module_slots = 2,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},		
	},
	
	{
		type = "assembling-machine",
		name = "heat-form-press",
		icon = "__Yuoki__/graphics/icons/pressure_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {hardness = 0.2,mining_time = 0.5,result = "heat-form-press"},
		max_health = 100,
		resistances = {{type = "fire",percent = 70}},
		collision_box = {{-0.9,-0.9},{0.9,0.9}},
		selection_box = {{-1.0,-1.0},{1.0,1.0}},
		animation = {
			filename = "__Yuoki__/graphics/entity/formpress_anim.png",
			priority = "medium",
			frame_width = 64,
			frame_height = 72,
			frame_count = 9,						
			shift = {0.0, -0.25},
			animation_speed=0.5,
		},					
		crafting_categories = {"yuoki-formpress-recipe"},
		crafting_speed = 2,
		energy_source = {type = "electric", input_priority = "secondary", usage_priority = "secondary-input", emissions = 0.00625, },
		energy_usage = "800kW",
		ingredient_count = 4,
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = { -0.5, 1.5} }}
			},
			{
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {  0.5, 1.5} }}
			},
			off_when_no_fluid_recipe = false,			
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),				
				base_level = 1,
				pipe_connections = {{position = { 1.5, -0.5} }}
			},
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),				
				base_level = 1,
				pipe_connections = {{position = { -1.5, -0.5} }}
			},			
		},
		module_slots = 2,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},		
	},
	
	{
		type = "mining-drill",
		name = "y-mining-drill",
		icon = "__base__/graphics/icons/basic-mining-drill.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {mining_time = 1, result = "y-mining-drill"},
		max_health = 300,
		resource_categories = {"basic-solid"},
		corpse = "big-remnants",
		collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
		selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
		animations =
		{
			north =
			{
				priority = "extra-high",
				frame_width = 110,
				frame_height = 114,
				line_length = 8,
				shift = {0.2, -0.2},
				filename = "__base__/graphics/entity/basic-mining-drill/north.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			},
			east =
			{
				priority = "extra-high",
				frame_width = 129,
				frame_height = 100,
				line_length = 8,
				shift = {0.45, 0},
				filename = "__base__/graphics/entity/basic-mining-drill/east.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			},
			south =
			{
				priority = "extra-high",
				frame_width = 109,
				frame_height = 111,
				line_length = 8,
				shift = {0.15, 0},
				filename = "__base__/graphics/entity/basic-mining-drill/south.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			},
			west =
			{
				priority = "extra-high",
				frame_width = 128,
				frame_height = 100,
				line_length = 8,
				shift = {0.25, 0},
				filename = "__base__/graphics/entity/basic-mining-drill/west.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			}
		},		
		mining_speed = 1.25,
		energy_source =
		{
			type = "burner",
			effectivity = 1,
			fuel_inventory_size = 2,
			emissions = 0.05,
			smoke =
			{
				{
					name = "smoke",
					deviation = {0.1, 0.1},
					frequency = 1
				}
			}
		},
		energy_usage = "350kW",
		mining_power = 4,
		resource_searching_radius = 2.95,
		vector_to_place_result = {0, -1.85},
		module_slots = 1,		
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},		
		radius_visualisation_picture =
		{
			filename = "__base__/graphics/entity/basic-mining-drill/mining-drill-radius-visualization.png",
			width = 12,	height = 12
		}
	},
	{
		type = "mining-drill",
		name = "y-mining-drill-e2",
		icon = "__base__/graphics/icons/basic-mining-drill.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {mining_time = 1, result = "y-mining-drill-e2"},
		max_health = 300,
		resource_categories = {"basic-solid"},
		corpse = "big-remnants",
		collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
		selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
		animations =
		{
			north =
			{
				priority = "extra-high",
				frame_width = 110,
				frame_height = 114,
				line_length = 8,
				shift = {0.2, -0.2},
				filename = "__base__/graphics/entity/basic-mining-drill/north.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			},
			east =
			{
				priority = "extra-high",
				frame_width = 129,
				frame_height = 100,
				line_length = 8,
				shift = {0.45, 0},
				filename = "__base__/graphics/entity/basic-mining-drill/east.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			},
			south =
			{
				priority = "extra-high",
				frame_width = 109,
				frame_height = 111,
				line_length = 8,
				shift = {0.15, 0},
				filename = "__base__/graphics/entity/basic-mining-drill/south.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			},
			west =
			{
				priority = "extra-high",
				frame_width = 128,
				frame_height = 100,
				line_length = 8,
				shift = {0.25, 0},
				filename = "__base__/graphics/entity/basic-mining-drill/west.png",
				frame_count = 64,
				animation_speed = 0.5,
				run_mode = "forward-then-backward",
			}
		},		
		mining_speed = 1.0,
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			emissions = 0.05, 		
		},
		energy_usage = "250kW",
		mining_power = 3,
		resource_searching_radius = 3.45,
		vector_to_place_result = {0, -1.85},
		module_slots = 1,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},		
		radius_visualisation_picture =
		{
			filename = "__base__/graphics/entity/basic-mining-drill/mining-drill-radius-visualization.png",
			width = 14,
			height = 14
		}
	},
	
	{
		type = "assembling-machine",
		name = "y-atomic-quantum-composer",
		icon = "__Yuoki__/graphics/gfx/yi-wonder-maschine.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-atomic-quantum-composer"},
		max_health = 1500,
		corpse = "big-remnants",
		resistances = {{type = "physical",percent = 60},{type = "fire",percent = 70}},
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_picture = assembler3pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {0, -2} }}
			},
			{
				production_type = "output",
				pipe_picture = assembler3pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = 1,
				pipe_connections = {{ type="output", position = {0, 2} }}
			},
			off_when_no_fluid_recipe = true
		},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__base__/graphics/entity/assembling-machine-3/assembling-machine-3.png",
			priority = "high",
			frame_width = 142,
			frame_height = 113,
			frame_count = 32,
			line_length = 8,
			shift = {0.84, -0.09}
		},
		--crafting_categories = {"crafting", "advanced-crafting", "crafting-with-fluid","yuoki-import-bobores-wonder-recipe"},
		crafting_categories = {"yuoki-wonder-recipe"},
		crafting_speed = 3.0,
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			emissions = 0.001, 
		},
		energy_usage = "4000kW",
		ingredient_count = 5,
		module_slots = 4,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
		order="w[wonders]",
	},			

	{
		type = "assembling-machine",
		name = "y-crusher",
		icon = "__Yuoki__/graphics/icons/crusher-icon.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-crusher"},
		max_health = 300,
		corpse = "big-remnants",
		resistances = {{type = "fire",percent = 70}},
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_picture = assembler3pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {-0.5, -1.5} }}
			},
			{
				production_type = "output",
				pipe_picture = assembler3pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = 1,
				pipe_connections = {{ type="output", position = {0.5, 1.5} }}
			},
			off_when_no_fluid_recipe = true
		},
		collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
		selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__Yuoki__/graphics/entity/crusher-anim.png",
			priority = "medium",
			frame_width = 65,
			frame_height = 78,
			frame_count = 11,
			line_length = 11,
			shift = {0.0, -0.0}
		},
		--crafting_categories = {"crafting", "advanced-crafting", "crafting-with-fluid","yuoki-import-bobores-wonder-recipe"},
		crafting_categories = {"y-crushing-recipe"},
		crafting_speed = 1.5,
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			emissions = 0.03 / 3.5
		},
		energy_usage = "125kW",
		ingredient_count = 2,
		module_slots = 1,
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
		order="c[crush]",
	},	

	-- remove in next version 2.5	
	--[[
	{
		type = "construction-robot",
		name = "y-construction-robot",
		icon = "__base__/graphics/icons/construction-robot.png",
		flags = {"placeable-player", "player-creation", "placeable-off-grid", "not-on-map"},
		minable = {hardness = 0.1, mining_time = 0.1, result = "y-construction-robot"},
		max_health = 150,
		collision_box = {{0, 0}, {0, 0}},
		selection_box = {{-0.5, -1.5}, {0.5, -0.5}},
		max_payload_size = 1,
		speed = 0.07,
		transfer_distance = 0.5,
		max_energy = "500kJ",
		energy_per_tick = "0.0125kJ",
		speed_multiplier_when_out_of_energy = 0.2,
		energy_per_move = "1kJ",
		min_to_charge = 0.2,
		max_to_charge = 0.95,
		picture =
		{
			filename = "__base__/graphics/entity/construction-robot/construction-robot.png",
			priority = "high",
			width = 37,
			height = 34
		},
		working_sound = flying_robot_sounds(),
		shadow =
		{
			filename = "__base__/graphics/entity/logistic-robot/logistic-robot-shadow.png",
			priority = "high",
			width = 52,
			height = 37
		},
		repair_pack = "repair-pack", 
	},	
	]]
	
	-- not a storeage-tank
	{
		type = "car",
		name = "y-tank-proto",
		icon = "__Yuoki__/graphics/entity/panzer1/panzer-1icon.png",
		flags = {"pushable", "placeable-neutral", "player-creation"},
		minable = {mining_time = 1, result = "y-tank-proto"},
		max_health = 770,
		corpse = "medium-remnants",
		dying_explosion = "huge-explosion",
		resistances = {{type = "physical",decrease = 6,percent = 75,},},
		collision_box = {{-0.7, -1}, {0.7, 1}},
		selection_box = {{-0.7, -1}, {0.7, 1}},
		acceleration_per_energy = 4e-8,
		breaking_speed = 2e-3,
		burner =
		{
			effectivity = 0.5,
			fuel_inventory_size = 2,
			smoke =
			{
				{
					name = "smoke",
					deviation = {0.25, 0.25},
					frequency = 50,
					position = {0, 1.5},
					slow_down_factor = 0.9,
					starting_frame = 3,
					starting_frame_deviation = 5,
					starting_frame_speed = 0,
					starting_frame_speed_deviation = 5
				}
			}
		},
		consumption = "1500kW",
		friction = 11e-3,
		light =
		{
			{
				type = "oriented",
				minimum_darkness = 0.3,
				picture =
				{
					filename = "__core__/graphics/light-cone.png",
					priority = "medium",
					scale = 2,
					width = 200,
					height = 200
				},
				shift = {-0.6, -14},
				size = 2,
				intensity = 0.6
			},
			{
				type = "oriented",
				minimum_darkness = 0.3,
				picture =
				{
					filename = "__core__/graphics/light-cone.png",
					priority = "medium",
					scale = 2,
					width = 200,
					height = 200
				},
				shift = {0.6, -14},
				size = 2,
				intensity = 0.6
			}
		},
		pictures =
		{
			filename = "__Yuoki__/graphics/entity/panzer1/panzer-1sheet.png",
			line_length = 16,
			frame_width = 96,
			frame_height = 96,
			shift={0, 0},
			axially_symmetrical = false,
			direction_count = 64
		},
		stop_trigger_speed = 0.2,
		stop_trigger =
		{
			{
				type = "play-sound",
				sound =
				{
					{
						filename = "__base__/sound/car-breaks.ogg",
						volume = 0.6
					},
				}
			},
		},
		crash_trigger = crash_trigger(),
		sound_minimum_speed = 0.2;
		working_sound =
		{
			sound =
			{
				filename = "__base__/sound/car-engine.ogg",
				volume = 0.6
			},
			activate_sound =
			{
				filename = "__base__/sound/car-engine-start.ogg",
				volume = 0.6
			},
			deactivate_sound =
			{
				filename = "__base__/sound/car-engine-stop.ogg",
				volume = 0.6
			},
			match_speed_to_activity = true,
		},
		open_sound = { filename = "__base__/sound/car-door-open.ogg", volume=0.7 },
		close_sound = { filename = "__base__/sound/car-door-close.ogg", volume = 0.7 },
		rotation_speed = 0.05,
		weight = 350,
		inventory_size = 30,
	},
	
	
})


